package org.bench4q.agent.storage;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class StorageHelper {
	private HdfsStorage hdfsStorage;
	private LocalStorage localStorage;
	private MooseStorage mooseStorage;

	public HdfsStorage getHdfsStorage() {
		return hdfsStorage;
	}

	@Autowired
	public void setHdfsStorage(HdfsStorage hdfsStorage) {
		this.hdfsStorage = hdfsStorage;
	}

	public LocalStorage getLocalStorage() {
		return localStorage;
	}

	@Autowired
	public void setLocalStorage(LocalStorage localStorage) {
		this.localStorage = localStorage;
	}

	public MooseStorage getMooseStorage() {
		return mooseStorage;
	}

	@Autowired
	public void setMooseStorage(MooseStorage mooseStorage) {
		this.mooseStorage = mooseStorage;
	}

}
